Bug 48241 - can't use created devices on floppy disks
can't use created devices on floppy disks
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-09 18:41 EDT by Brian Mitchell
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-09 18:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Mitchell 2001-07-09 18:41:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Access to device nodes stored on a floppy disk fails. I've reproduced this 
on three seperate redhat systems (only 2 of which installed by me). Debian 
was also tested, using kernel 2.2, it did not appear to be affected.

I tried to build a stock 2.2 kernel, and that also appeared to fail, but 
that is a seperate unrelated matter.

How reproducible:

Steps to Reproduce:
1.mke2fs /dev/fd0
note: I tried making a minix filesystem as well, the results did
not change.
2.mount /mnt/floppy
3.cd /mnt/floppy
4.cp -R /dev/null .
5.cat null
<this should fail>
6.cat /dev/null
<this should not fail>

If this is tried on other block devices (tried ide drives, scsi drives, 
even a ramdisk) it works as one would expect.

Actual Results:  cat of the version of null on floppy:
cat: null: Permission Denied

cat of the version of null in /dev:
<just another prompt, as expected>

Expected Results:  the two cat commands should produce identical results.

Additional info:

according to strace, the error recieved is EACCESS. As I mentioned, this 
only occurs on floppy disks. I can't reproduce it on any other block 
Comment 1 Brian Mitchell 2001-07-11 18:42:44 EDT
operator error. I did not notice that fstab has nodev for /mnt/floppy. doh.

Note You need to log in before you can comment on or make changes to this bug.